Bug 143707 - New port: www/drupal6-image
Summary: New port: www/drupal6-image
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-09 19:10 UTC by Anderson S. Ferreira
Modified: 2010-02-10 14:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anderson S. Ferreira 2010-02-09 19:10:03 UTC
This module allows users with proper permissions to upload images into Drupal. Thumbnails and additional sizes are created automatically.
Images could be posted individually to the front page, included in stories or grouped in galleries.

Fix: 

---
Aviso de confidencialidade:

Esta mensagem da Empresa Brasileira de Pesquisa Agropecuária (Embrapa), 
empresa pública federal regida pelo disposto na Lei Federal nº 5.851, 
de 7 de dezembro de 1972, é enviada exclusivamente a seu destinatário 
e pode conter informações confidenciais, protegidas por sigilo profissional. 
Sua utilização desautorizada é ilegal e sujeita o infrator às penas da lei. 
Se você a recebeu indevidamente, queira, por gentileza, reenviá-la ao emitente, 
esclarecendo o equívoco.

Confidentiality note:

This message from Empresa Brasileira de Pesquisa Agropecuária (Embrapa), 
a government company established under Brazilian law (5.851/72), 
is directed exclusively to its addressee and may contain confidential data, 
protected under professional secrecy rules. Its unauthorized use is illegal 
and may subject the transgressor to the law's penalties. 
If you are not the addressee, please send it back, elucidating the failure.--Q84SpsgeOePvjDD0xKFhol6woFIfpztqozGUpYUs2SWPapla
Content-Type: text/plain; name="drupal6-image.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="drupal6-image.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	drupal6-image
#	drupal6-image/Makefile
#	drupal6-image/distinfo
#	drupal6-image/pkg-descr
#
echo c - drupal6-image
mkdir -p drupal6-image > /dev/null 2>&1
echo x - drupal6-image/Makefile
sed 's/^X//' >drupal6-image/Makefile << '41ffdd94b08a41ddde9508ad5dce5b0a'
X# New ports collection makefile for:	drupal6-image
X# Date created:		09 Feb 2010
X# Whom:			anderson@cnpm.embrapa.br	
X#
X# $FreeBSD$
X#
X
XPORTNAME=	image
XDISTVERSION=	6.x-1.0-beta5
XCATEGORIES=	www
XMASTER_SITES=	http://ftp.drupal.org/files/projects/
X
XMAINTAINER=	anderson@cnpm.embrapa.br
XCOMMENT=	Drupal 6.x image upload module
X
XDRUPAL6_MODULE=	yes
X
XMODULE_DIRS=	views/theme views translations tests \
X		contrib/image_import/translations \
X		contrib/image_import/tests \
X		contrib/image_import \
X		contrib/image_im_advanced/translations \
X		contrib/image_im_advanced \
X		contrib/image_gallery/views/theme \
X		contrib/image_gallery/views \
X		contrib/image_gallery/translations \
X		contrib/image_gallery/tests \
X		contrib/image_gallery/help \
X		contrib/image_gallery \
X		contrib/image_attach/translations \
X		contrib/image_attach/tests \
X		contrib/image_attach \
X		contrib
X
XMODULE_FILES=	contrib/image_attach/tests/image_attach.test \
X		contrib/image_attach/image_attach.css \
X		contrib/image_attach/image_attach.info \
X		contrib/image_attach/image_attach.install \
X		contrib/image_attach/image_attach.module \
X		contrib/image_attach/image_attach.views.inc \
X		contrib/image_attach/image_attach_views_handler_field_attached_images.inc \
X		contrib/image_attach/translations/image_attach.da.po \
X		contrib/image_attach/translations/image_attach.de.po \
X		contrib/image_attach/translations/image_attach.el.po \
X		contrib/image_attach/translations/image_attach.hu.po \
X		contrib/image_attach/translations/image_attach.nl.po \
X		contrib/image_attach/translations/image_attach.pot \
X		contrib/image_attach/translations/image_attach.sl.po \
X		contrib/image_attach/translations/image_attach.sv.po \
X		contrib/image_attach/translations/modules-image_attach.ru.po \
X		contrib/image_gallery/help/descendants.html \
X		contrib/image_gallery/help/image_gallery.help.ini \
X		contrib/image_gallery/image_gallery.admin.inc \
X		contrib/image_gallery/image_gallery.css \
X		contrib/image_gallery/image_gallery.info \
X		contrib/image_gallery/image_gallery.install \
X		contrib/image_gallery/image_gallery.module \
X		contrib/image_gallery/image_gallery.pages.inc \
X		contrib/image_gallery/tests/image_gallery.test \
X		contrib/image_gallery/translations/image_gallery.da.po \
X		contrib/image_gallery/translations/image_gallery.de.po \
X		contrib/image_gallery/translations/image_gallery.el.po \
X		contrib/image_gallery/translations/image_gallery.es.po \
X		contrib/image_gallery/translations/image_gallery.he.po \
X		contrib/image_gallery/translations/image_gallery.hu.po \
X		contrib/image_gallery/translations/image_gallery.nl.po \
X		contrib/image_gallery/translations/image_gallery.pot \
X		contrib/image_gallery/translations/image_gallery.sk.po \
X		contrib/image_gallery/translations/image_gallery.sl.po \
X		contrib/image_gallery/translations/image_gallery.sv.po \
X		contrib/image_gallery/translations/modules-image_gallery.ru.po \
X		contrib/image_gallery/views/theme/image-gallery-view-image-gallery-terms.tpl.php \
X		contrib/image_gallery/views/theme/theme.inc \
X		contrib/image_gallery/views/image_gallery.views.inc \
X		contrib/image_gallery/views/image_gallery.views_default.inc \
X		contrib/image_gallery/views/image_gallery_handler_field_gallery_count.inc \
X		contrib/image_gallery/views/image_gallery_handler_field_gallery_cover.inc \
X		contrib/image_gallery/views/image_gallery_handler_field_gallery_cover_latest_time.inc \
X		contrib/image_gallery/views/image_gallery_handler_field_gallery_cover_thumbnail.inc \
X		contrib/image_gallery/views/image_gallery_handler_relationship_gallery_cover.inc \
X		contrib/image_gallery/views/image_gallery_plugin_display_image_gallery.inc \
X		contrib/image_im_advanced/translations/image_im_advanced.de.po \
X		contrib/image_im_advanced/translations/image_im_advanced.el.po \
X		contrib/image_im_advanced/translations/image_im_advanced.nl.po \
X		contrib/image_im_advanced/translations/image_im_advanced.pot \
X		contrib/image_im_advanced/translations/image_im_advanced.sv.po \
X		contrib/image_im_advanced/translations/modules-image_im_advanced.ru.po \
X		contrib/image_im_advanced/image_im_advanced.info \
X		contrib/image_im_advanced/image_im_advanced.install \
X		contrib/image_im_advanced/image_im_advanced.module \
X		contrib/image_import/tests/image_import.test \
X		contrib/image_import/image_import.admin.inc \
X		contrib/image_import/image_import.info \
X		contrib/image_import/image_import.install \
X		contrib/image_import/image_import.module \
X		contrib/image_import/image_import.pages.inc \
X		contrib/image_import/translations/image_import.da.po \
X		contrib/image_import/translations/image_import.de.po \
X		contrib/image_import/translations/image_import.el.po \
X		contrib/image_import/translations/image_import.hu.po \
X		contrib/image_import/translations/image_import.nl.po \
X		contrib/image_import/translations/image_import.pot \
X		contrib/image_import/translations/image_import.sl.po \
X		contrib/image_import/translations/image_import.sv.po \
X		contrib/image_import/translations/modules-image_import.ru.po \
X		image.admin.inc \
X		image.css \
X		image.imagemagick.inc \
X		image.info \
X		image.install \
X		image.module \
X		tests/image.test \
X		translations/general.de.po \
X		translations/general.nl.po \
X		translations/general.pot \
X		translations/general.sv.po \
X		translations/image.ar.po \
X		translations/image.ca.po \
X		translations/image.cs.po \
X		translations/image.da.po \
X		translations/image.de.po \
X		translations/image.el.po \
X		translations/image.es.po \
X		translations/image.eu.po \
X		translations/image.fi.po \
X		translations/image.fr.po \
X		translations/image.he.po \
X		translations/image.hu.po \
X		translations/image.it.po \
X		translations/image.ja.po \
X		translations/image.nl.po \
X		translations/image.pl.po \
X		translations/image.pot \
X		translations/image.pt-br.po \
X		translations/image.sl.po \
X		translations/image.sv.po \
X		translations/modules-image.ru.po \
X		translations/uk-ua.po \
X		translations/uk.po \
X		views/theme/image-view-image-gallery.tpl.php \
X		views/theme/theme.inc \
X		views/image.views.inc \
X		views/image_handler_argument_image_node_image_size.inc \
X		views/image_handler_argument_image_size.inc \
X		views/image_handler_field_image_node_image.inc \
X		views/image_handler_field_image_size.inc \
X		views/image_handler_filter_image_size.inc \
X		views/image_handler_relationship_node_image_file.inc \
X		views/image_plugin_argument_default_image_size.inc \
X		views/image_plugin_argument_validate_image_size.inc 
X
XDOC_FILES=	LICENSE.txt CHANGELOG.txt INSTALL.txt README.txt
X
X.include <bsd.port.pre.mk>
X.include "${.CURDIR}/../../www/drupal5/bsd.drupal.mk"
X.include <bsd.port.post.mk>
41ffdd94b08a41ddde9508ad5dce5b0a
echo x - drupal6-image/distinfo
sed 's/^X//' >drupal6-image/distinfo << '8bb5ba93519663c8e1ba6a1a74a58211'
XMD5 (drupal/image-6.x-1.0-beta5.tar.gz) = 8d8f82f66e3e971fb32a677ef00ad1fe
XSHA256 (drupal/image-6.x-1.0-beta5.tar.gz) = f564f3f038d014124b8a2b53c48fcb6953bb495ff31c385743dbd7cf2db13b18
XSIZE (drupal/image-6.x-1.0-beta5.tar.gz) = 257925
8bb5ba93519663c8e1ba6a1a74a58211
echo x - drupal6-image/pkg-descr
sed 's/^X//' >drupal6-image/pkg-descr << 'be9c8a4d51d2a814223ae65e2b0128d3'
XThis module allows users with proper permissions to upload images into Drupal. Thumbnails and additional sizes are created automatically.
XImages could be posted individually to the front page, included in stories or grouped in galleries.
X
XWWW: http://drupal.org/project/image
be9c8a4d51d2a814223ae65e2b0128d3
exit
Comment 1 Edwin Groothuis freebsd_committer 2010-02-09 19:10:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2010-02-10 14:42:53 UTC
miwi        2010-02-10 14:42:40 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/drupal6-image    Makefile distinfo pkg-descr 
  Log:
  This module allows users with proper permissions to upload images into Drupal
  Thumbnails and additional sizes are created automatically. Images could be
  posted individually to the front page, included in stories or grouped in
  galleries.
  
  WWW: http://drupal.org/project/image
  
  PR:             ports/143707
  Submitted by:   Anderson Soares Ferreira <anderson@cnpm.embrapa.br>
  
  Revision  Changes    Path
  1.2547    +1 -0      ports/www/Makefile
  1.1       +156 -0    ports/www/drupal6-image/Makefile (new)
  1.1       +3 -0      ports/www/drupal6-image/distinfo (new)
  1.1       +6 -0      ports/www/drupal6-image/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2010-02-10 14:43:29 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!